// Beobachte Änderungen an den Attributen des Videoplayer-Containers
observer.observe(videoPlayer, { attributes: true });

// Funktion, um die Sichtbarkeit der Schneeflocken zu steuern
function toggleSnowflakes() {
  const snowflakes = document.querySelector('.snowflakes');
  const videoPlayer = document.querySelector('.videoPlayerContainer');
  const isDashboard = document.body.classList.contains('dashboardDocument');
  const hasUserMenu = document.querySelector('#app-user-menu');

  if (videoPlayer || isDashboard || hasUserMenu) {
    // Ausblenden, wenn Videoplayer, Dashboard oder User-Menü aktiv sind
    snowflakes.style.visibility = 'hidden';
  } else {
    // Anzeigen, wenn keine der Bedingungen erfüllt ist
    snowflakes.style.visibility = 'visible';
  }
}

// Beim Laden der Seite ausführen
document.addEventListener('DOMContentLoaded', toggleSnowflakes);

// Änderungen im DOM überwachen (z. B. Videoplayer hinzugefügt/entfernt)
const observer = new MutationObserver(toggleSnowflakes);
observer.observe(document.body, { childList: true, subtree: true, attributes: true });





// Anzahl der Schneeflocken
const snowflakeCount = 50;

// Container für Schneeflocken
const snowflakeContainer = document.querySelector('.snowflakes');

// Schneeflocken erstellen
for (let i = 0; i < snowflakeCount; i++) {
  const snowflake = document.createElement('div');
  snowflake.classList.add('snowflake');
  snowflake.textContent = ['❅', '❆', '❄'][Math.floor(Math.random() * 3)]; // Zufällige Schneeflocke
  snowflake.style.left = Math.random() * 100 + '%'; // Zufällige horizontale Position
  snowflake.style.animationDelay = Math.random() * 5 + 's'; // Zufällige Verzögerung
  snowflake.style.animationDuration = Math.random() * 5 + 5 + 's'; // Zufällige Dauer
  snowflake.style.fontSize = Math.random() * 1.5 + 1 + 'em'; // Zufällige Größe
  snowflakeContainer.appendChild(snowflake);
}