// Funktion zum Überprüfen und Anpassen der Schneeflocken
function toggleSnowflakes() {
  const body = document.body;
  const videoPlayer = document.querySelector('.videoPlayerContainer');
  const isDashboard = body.classList.contains('dashboardDocument');
  const hasUserMenu = document.querySelector('#app-user-menu');

  // Schneeflocken ausblenden, wenn eines der Elemente vorhanden ist
  if (videoPlayer || isDashboard || hasUserMenu) {
      body.classList.add('hide-snowflakes');
  } else {
      body.classList.remove('hide-snowflakes');
  }
}

// Beobachte Änderungen im DOM
const observer = new MutationObserver(toggleSnowflakes);

// Beobachtung starten
observer.observe(document.body, {
  childList: true,    // Überwacht Hinzufügen/Entfernen von Kindelementen
  subtree: true,      // Überwacht alle Ebenen des DOM-Baums
  attributes: true    // Überwacht Änderungen an Attributen (z. B. Klassenänderungen)
});

// Initial ausführen, um den aktuellen Zustand zu überprüfen
document.addEventListener('DOMContentLoaded', toggleSnowflakes);